## org.eclipse.datatools.sqltools.schemaobjecteditor.ui.pages.intropage
Class PredefinedIntroSection

    java.lang.Object
      org.eclipse.datatools.sqltools.schemaobjecteditor.ui.pages.intropage.PredefinedIntroSection

    public class PredefinedIntroSection

extends java.lang.Object

Author:
  Hui Cao

Field Summary
`static PredefinedIntroSection` `DESCRIPTION`
`static PredefinedIntroSection` `HELP`
`static java.util.HashMap` `SECTIONS`
`static PredefinedIntroSection` `START`

Constructor Summary
`PredefinedIntroSection(java.lang.String id, java.lang.String heading, java.lang.String hyperlink, java.lang.String text, org.eclipse.jface.resource.ImageDescriptor icon, IIntroHyperAction hyperlinkAction)`

Method Summary
`java.lang.String` `getHeading()`
`java.lang.String` `getHyperlink()`
`IIntroHyperAction` `getHyperlinkAction()`
`org.eclipse.jface.resource.ImageDescriptor` `getIcon()`
`java.lang.String` `getId()`
`java.lang.String` `getText()`
`void` `setHeading(java.lang.String heading)`
`void` `setHyperlink(java.lang.String hyperlink)`
`void` `setHyperlinkAction(IIntroHyperAction hyperlinkAction)`
`void` `setIcon(org.eclipse.jface.resource.ImageDescriptor icon)`
`void` `setId(java.lang.String id)`
`void` `setText(java.lang.String text)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DESCRIPTION

    public static final PredefinedIntroSection DESCRIPTION

### START

    public static final PredefinedIntroSection START

### HELP

    public static final PredefinedIntroSection HELP

### SECTIONS

    public static java.util.HashMap SECTIONS

Constructor Detail

### PredefinedIntroSection

    public PredefinedIntroSection(java.lang.String id,
                                  java.lang.String heading,
                                  java.lang.String hyperlink,
                                  java.lang.String text,
                                  org.eclipse.jface.resource.ImageDescriptor icon,
                                  IIntroHyperAction hyperlinkAction)

Method Detail

### getId

    public java.lang.String getId()

### setId

    public void setId(java.lang.String id)

### getHeading

    public java.lang.String getHeading()

### setHeading

    public void setHeading(java.lang.String heading)

### getHyperlink

    public java.lang.String getHyperlink()

### setHyperlink

    public void setHyperlink(java.lang.String hyperlink)

### getText

    public java.lang.String getText()

### setText

    public void setText(java.lang.String text)

### getIcon

    public org.eclipse.jface.resource.ImageDescriptor getIcon()

### setIcon

    public void setIcon(org.eclipse.jface.resource.ImageDescriptor icon)

### getHyperlinkAction

    public IIntroHyperAction getHyperlinkAction()

### setHyperlinkAction

    public void setHyperlinkAction(IIntroHyperAction hyperlinkAction)